Liblinphone: linphone::PresenceNote Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::PresenceNote Class Reference

Presence note type holding information about a presence note. More...

`#include <presence_note.hh>`

Inheritance diagram for linphone::PresenceNote:

## Public Member Functions
LINPHONECXX_PUBLIC | PresenceNote (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphonePresenceNote * | cPtr ()
LINPHONECXX_PUBLIC std::string | getContent () const
| Gets the content of a presence note.
LINPHONECXX_PUBLIC linphone::Status | setContent (const std::string &content)
| Sets the content of a presence note.
LINPHONECXX_PUBLIC std::string | getLang () const
| Gets the language of a presence note.
LINPHONECXX_PUBLIC linphone::Status | setLang (const std::string &lang)
| Sets the language of a presence note.

## Detailed Description

Presence note type holding information about a presence note.

## Member Function Documentation

## ◆ getContent()

LINPHONECXX_PUBLIC std::string linphone::PresenceNote::getContent | ( |  | ) | const

Gets the content of a presence note.

Returns
  A pointer to the content of the presence note.

## ◆ getLang()

LINPHONECXX_PUBLIC std::string linphone::PresenceNote::getLang | ( |  | ) | const

Gets the language of a presence note.

Returns
  A pointer to the language string of the presence note, or nullptr if no language is specified.

## ◆ setContent()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceNote::setContent | ( | const std::string & | content | ) |

Sets the content of a presence note.

Parameters

  content | The content of the note.

Returns
  0 if successful, a value < 0 in case of error.

## ◆ setLang()

LINPHONECXX_PUBLIC linphone::Status linphone::PresenceNote::setLang | ( | const std::string & | lang | ) |

Sets the language of a presence note.

Parameters

  lang | The language of the note.

Returns
  0 if successful, a value < 0 in case of error.

The documentation for this class was generated from the following file:

- presence_note.hh